'FFSubmenu=Effekte
'FFName=Bannerschrift


'(c) Harald Maeckler, Dsseldorf 2016
' ***********************************************************************
' Bannerschrift.vbs (Skript fr FixFoto)
' Schrifterzeugung mit frei whlbaren Parametern
' ***********************************************************************
'
' Version 1.02 vom 29.05.2018	- Update-Adresse angepasst
' Version 1.01 vom 30.06.2016	- mit Grenangabe der Bannerschrift
' Version 1.00 vom 29.06.2016	- Betaversion
' ***********************************************************************

Option Explicit

'Updatekonstanten und Variable
const SkriptVersion = "1.02"
const SkriptURL = "https://www.ffsf.de/resources/bannerschrift.354/"	'###
Dim UrlVersion,UrlV_Zahl,SkriptV_Zahl,SkriptEnde

'allgemeine Konstanten und Variable
const ForReading = 1, ForWriting = 2
Dim Abbruch,Antwort,n

'Spezifische Konstanten und Variable
Dim Ttext,Thoehe,Tstaerke,Titalic,Tunderline,Tface
Dim Tlaenge,Bzuschlag,Bhoehe,Bbreite,Brgb,Bref
Dim Txstart,Tystart,Torientation,Trgb,Tref
Dim bild1,bild2,bild3,Tschatten

'Objekte
Dim objFS,WshShell
Set objFS = CreateObject("Scripting.FileSystemObject")
Set WshShell = CreateObject("WScript.Shell")

'Lschroutine
Dim SkriptKill,TempFile	 : SkriptKill = false
Dim SkriptName
const Skript = "Bannerschrift"					'Skriptname
const RegSchluessel = "FF_Bannerschrift"		'Registryschlssel

' ***********************************************************************
call main
Set WshShell = Nothing
Set objFS = Nothing
' ***********************************************************************
Sub main

on error resume next							'Kontrolle ob Skript in FF-Umgebung gestartet wurde
	FF_GetScriptPath
 	if err <> 0 then
		msgbox "Das Skript funktioniert nur in der Programmumgebung von FixFoto!",vbCritical,"Abbruch"
		exit sub
	end if
on error goto 0

if objFS.FileExists(FF_GetScriptPath & "\" & Skript & ".vbs") then
	SkriptName = Skript & ".vbs"
elseif objFS.FileExists(FF_GetScriptPath & "\" & Skript & ".vbe") then
	SkriptName = Skript & ".vbe"
else
	msgbox "Das Skript wurde umbenannt!",vbCritical,"Abbruch"
	exit sub
end if

'** Start Dialog Bannerschrift **
FF_AddDialog "Bannerschrift",200,170
FF_AddControl "Bannerschrift","Text","GROUP",5,5,190,26
FF_AddControl "Bannerschrift","Einstellungen","GROUP",5,36,190,60
FF_AddControl "Bannerschrift","Vorschau","GROUP",5,101,190,45
FF_AddControl "Bannerschrift","Ttext","SLEDIT",10,16,138,10
FF_SetControlStyle "Bannerschrift","Ttext",1
FF_AddControl "Bannerschrift","&Vorschau","BUTTON",155,15,33,11
FF_AddControl "Bannerschrift","Schrift","STATIC",10,46,28,10
FF_AddControl "Bannerschrift","Tface","FONT",38,46,150,10
FF_AddControl "Bannerschrift","Texthhe","STATIC",10,62,28,10
FF_AddControl "Bannerschrift","Thoehe","SLEDIT",38,62,22,10
FF_SetControlStyle "Bannerschrift","Thoehe",8193
FF_AddControl "Bannerschrift","px","STATIC",61,62,8,10
FF_AddControl "Bannerschrift","Textstrke","STATIC",71,62,28,10
FF_AddControl "Bannerschrift","Tstaerke","SLEDIT",99,62,22,10
FF_SetControlStyle "Bannerschrift","Tstaerke",8193
FF_AddControl "Bannerschrift","--","STATIC",122,62,8,10
FF_AddControl "Bannerschrift","Zuschlag","STATIC",135,62,28,10
FF_AddControl "Bannerschrift","Bzuschlag","SLEDIT",158,62,22,10
FF_SetControlStyle "Bannerschrift","Bzuschlag",8193
FF_AddControl "Bannerschrift","px||","STATIC",181,62,8,10
FF_AddControl "Bannerschrift","Farben","STATIC",10,78,28,11
FF_AddControl "Bannerschrift","Trgb","COLOR",38,78,32,11
FF_AddControl "Bannerschrift","< >","BUTTON",75,78,19,11
FF_AddControl "Bannerschrift","Brgb","COLOR",99,78,32,11
FF_AddControl "Bannerschrift","Schatten","STATIC",135,78,33,11
FF_AddControl "Bannerschrift","Tschatten","COMBO",159,78,20,11
FF_AddControl "Bannerschrift","px|||","STATIC",181,78,8,11
FF_AddControl "Bannerschrift","Vorschauanzeige","IMAGE",11,109,178,20
FF_AddControl "Bannerschrift","?","BUTTON",11,153,11,11
FF_AddControl "Bannerschrift","|","STATIC",24,153,22,11
FF_SetControlStyle "Bannerschrift","|",1
FF_AddControl "Bannerschrift","Update","BUTTON",48,153,33,11
FF_AddControl "Bannerschrift","Abbrechen","BUTTON",120,153,33,11
FF_AddControl "Bannerschrift","Fertig","BUTTON",156,153,33,11
FF_AddControl "Bannerschrift","&delete","BUTTON",0,0,1,1
FF_AddControl "Bannerschrift","||","STATIC",11,132,178,10
FF_SetControlStyle "Bannerschrift","||",1
'** End Dialog Bannerschrift **

for n = 0 to 20
	FF_SetControl "Bannerschrift","Tschatten",n
next

call RegistryLesen

'Tooltips																	'###
if Version_OK("3.30.06") then
	FF_SetControlTooltip "Bannerschrift","Tface", "" &_
						 "Es stehen alle auf dem Rechner instal-" & vbNewLine &_
						 "lierten Schriftarten zur Auswahl."
	FF_SetControlTooltip "Bannerschrift","Thoehe", "" &_
						 "Die Texthhe muss mindestens 10px betragen"
	FF_SetControlTooltip "Bannerschrift","Tstaerke", "" &_
						 "Erlaubt sind Werte zwischen 1 und 1000." & vbNewLine &_
						 "Der Normalwert betrgt 400."
	FF_SetControlTooltip "Bannerschrift","< >", "" &_
						 "Tausch der Farben"
	FF_SetControlTooltip "Bannerschrift","Bzuschlag", "" &_
						 "Die Bildhhe ergibt sich aus Schrifthhe + 2x Zuschlag." & vbNewLine &_
						 "Die Bildbreite ist gleich errechneter Textlnge + 2x Zuschlag."
	FF_SetControlTooltip "Bannerschrift","Vorschauanzeige", "" &_
						 "mit Doppelklick Aktualisierung der Vorschau"	
	FF_SetControlTooltip "Bannerschrift","?", "" &_
						 "Anzeige der Kurzbeschreibung"
	FF_SetControlTooltip "Bannerschrift","Update", "" &_
						 "Prfung ob eine neue Version vorliegt"
	FF_SetControlTooltip "Bannerschrift","Abbrechen", "" &_
						 "Skriptvorzeitig beenden"
	FF_SetControlTooltip "Bannerschrift","Fertig", "" &_
						 "Fertigstellung des Schriftzugs"
end if

if Version_OK("3.40.52") then FF_SetTooltipDelay 3500
FF_SetDialogTimer "Bannerschrift", 100
FF_ActivateControl "Bannerschrift","&delete"

do
	Abbruch = false
	Select Case FF_ShowDialog ("Bannerschrift")
	Case "TIMER"
		FF_SetControl "Bannerschrift" ,"|", "V " & Skriptversion
		
		call Werte_auslesen
		call Kontrolle
		if not Abbruch then
			call Schrifterzeugung
			FF_SetControl "Bannerschrift","Vorschauanzeige",bild3
			FF_SetControl "Bannerschrift","||",Bbreite + Tschatten +1 & " x " & Bhoehe & " px"
		end if

		FF_SetDialogTimer "Bannerschrift", 0
	Case "&delete"
		Antwort = msgbox("Soll das Skript " & SkriptName & vbNewline & _
						 "wirklich gelscht werden?", _
						 vbYesNo + vbQuestion,"Sicherheitsabfrage")
		if Antwort = vbYes then
			SkriptKill = true
			exit do
		end if
	Case "&Vorschau","Tface","Trgb","Brgb","Tschatten","Vorschauanzeige"
		call Werte_auslesen
		call Kontrolle
		if not Abbruch then
			call Schrifterzeugung
			FF_SetControl "Bannerschrift","Vorschauanzeige",bild3
			FF_SetControl "Bannerschrift","||",Bbreite + Tschatten +1 & " x " & Bhoehe & " px"
		end if
	Case "< >"
		n = FF_GetControl ("Bannerschrift","Trgb")
		Brgb = FF_GetControl ("Bannerschrift","Brgb")
		FF_SetControl "Bannerschrift","Trgb",Brgb
		FF_SetControl "Bannerschrift","Brgb",n
		call Werte_auslesen
		call Kontrolle
		if not Abbruch then
			call Schrifterzeugung
			FF_SetControl "Bannerschrift","Vorschauanzeige",bild3
			FF_SetControl "Bannerschrift","||",Bbreite + Tschatten +1 & " x " & Bhoehe & " px"
		end if
	Case "?"
		on error resume next
		WshShell.Run chr(34) & FF_GetScriptPath & "\MeckiScript\Bannerschrift\Bannerschrift.pdf" & chr(34),1,false
		if err <> 0 then
			msgbox "Die Kurzbeschreibung konnte nicht als PDF-Datei geffnet werden." & vbNewLine & _
				   "Die Datei ist gelscht oder es ist kein PDF-Reader installiert (?).",vbExclamation,"Hinweis"
			err.clear
		end if
		on error GoTo 0
	Case "Update"
		if InternetConnection then
			SkriptEnde = false
			call Update
			if SkriptEnde then exit do
		end if
	Case "Abbrechen","CANCEL"
		exit do
	Case "Fertig"
		call Werte_auslesen
		call Kontrolle
		if not Abbruch then
			call Schrifterzeugung
			FF_Reload
			exit do
		end if
	End Select
loop

call RegistrySchreiben
FF_CloseDialog ("Bannerschrift")
if SkriptKill then			'ggf. Skript komplett entfernen
	call KillSkript
end if

end sub
'------------------------------------------------------------------------
Sub Schrifterzeugung

'### Definitionen
bild1 = FF_GetScriptPath & "\MeckiScript\Bannerschrift\bschrift_bild1.jpg"
bild2 = FF_GetScriptPath & "\MeckiScript\Bannerschrift\bschrift_bild2.jpg"
bild3 = FF_GetScriptPath & "\MeckiScript\Bannerschrift\bschrift_bild3.jpg"

Titalic = false
Tunderline = false

FF_NewImage 10,10,0	'Dummybild fr den Fall, dass kein Bild geladen ist
Tlaenge = FF_GetTextWidth(Ttext,Thoehe,Tstaerke,Titalic,Tunderline,Tface)

Bhoehe = Thoehe + 2 * Bzuschlag
Bbreite = Tlaenge + 2 * Bzuschlag 

Txstart = Bzuschlag
Tystart = Bzuschlag
Torientation = 0

'### Erzeugung Bild1
FF_NewImage Bbreite,Bhoehe,Bref
FF_DrawText Ttext,Txstart,Tystart,Thoehe,Torientation,Tstaerke,Titalic,Tunderline,Tface,Tref
FF_SaveImage bild1,0

'### Erzeugung Bild2
FF_NewImage Bbreite,Bhoehe,Tref
FF_DrawText Ttext,Txstart,Tystart,Thoehe,Torientation,Tstaerke,Titalic,Tunderline,Tface,Bref
FF_SaveImage bild2,0

'### Bannerschrift
FF_MakeBanner bild1 & vbNewLine & bild2,Bbreite -1 -Tschatten,0
FF_SaveImage bild3,0
'Msgbox Bhoehe & " x " & Bbreite & " px"
end sub
'------------------------------------------------------------------------
Function Farbreferenz (RGB_Wert)
'RGB-Wert ("000 000 000" bis "255 255 255") zu Farbreferenz (0 - 16777215)
Dim C_Array
	C_Array = split(RGB_Wert," ")
	Farbreferenz = C_Array(0) + C_Array(1) * (2^8) + C_Array(2) * (2^16)
End Function
'------------------------------------------------------------------------
Sub Werte_auslesen

Ttext = trim(FF_GetControl ("Bannerschrift","Ttext"))
Tface = FF_GetControl ("Bannerschrift","Tface")
Thoehe = FF_GetControl ("Bannerschrift","Thoehe")
	if len(Thoehe) = 0 then Thoehe = 0
Tstaerke = FF_GetControl ("Bannerschrift","Tstaerke")
	if len(Tstaerke) = 0 then Tstaerke = 0
Bzuschlag = FF_GetControl ("Bannerschrift","Bzuschlag")
	if len(Bzuschlag) = 0 then Bzuschlag = 0	
Trgb = FF_GetControl ("Bannerschrift","Trgb")
Tref = Farbreferenz(Trgb)
Brgb = FF_GetControl ("Bannerschrift","Brgb")
Bref = Farbreferenz(Brgb)
Tschatten = FF_GetControl ("Bannerschrift","Tschatten")

End Sub
'------------------------------------------------------------------------
Sub Kontrolle

if len(Ttext) = 0 then
	msgbox "Es muss ein Text eingegeben werden!",vbInformation,"Meldung"
	Abbruch = true : exit sub
end if

if Thoehe < 10 then
	msgbox "Die Texthoehe muss mindestens 10px betragen!",vbInformation,"Meldung"
	Abbruch = true : exit sub
end if

if Tstaerke < 1 or Tstaerke > 1000 then
	msgbox "Die Textstaerke muss mindestens 1 betragen" & vbNewLine &_
		   "und darf hchstens 1000 gro sein." & vbNewLine &_
		   "Normal ist eine Strke von 400.",vbInformation,"Meldung"
	Abbruch = true : exit sub
end if

if Bzuschlag < 10 then
	msgbox "Der Zuschlag muss mindestens 10px betragen!",vbInformation,"Meldung"
	Abbruch = true : exit sub
end if

End Sub
'------------------------------------------------------------------------
Sub RegistryLesen
'Schlsselname = HKEY_CURRENT_USER\Software\Joachim Koopmann Software\FixFoto\Script\ & RegSchluessel

'### Werte auslesen

Ttext = FF_GetProfile (RegSchluessel,"Ttext")
if len(Ttext) = 0 then Ttext = "Das ist ein Mustertext"

Tface = FF_GetProfile (RegSchluessel,"Tface")
if len(Tface) = 0 then Tface = "Arial"

Thoehe = FF_GetProfile (RegSchluessel,"Thoehe")
if len(Thoehe) = 0 then Thoehe = 200

Tstaerke = FF_GetProfile (RegSchluessel,"Tstaerke")
if len(Tstaerke) = 0 then Tstaerke = 400

Bzuschlag = FF_GetProfile (RegSchluessel,"Bzuschlag")
if len(Bzuschlag) = 0 then Bzuschlag = 40

Trgb = FF_GetProfile (RegSchluessel,"Trgb")
if len(Trgb) = 0 then Trgb = "0"

Brgb = FF_GetProfile (RegSchluessel,"Brgb")
if len(Brgb) = 0 then Brgb = "255 255 255"

Tschatten = FF_GetProfile (RegSchluessel,"Tschatten")
if len(Tschatten) = 0 then Tschatten = 5

'### Werte eintragen
FF_SetControl "Bannerschrift","Ttext",Ttext
FF_SetControl "Bannerschrift","Tface",Tface
FF_SetControl "Bannerschrift","Thoehe",Thoehe
FF_SetControl "Bannerschrift","Tstaerke",Tstaerke
FF_SetControl "Bannerschrift","Bzuschlag",Bzuschlag
FF_SetControl "Bannerschrift","Trgb",Trgb
FF_SetControl "Bannerschrift","Brgb",Brgb
FF_SetControl "Bannerschrift","Tschatten",Tschatten

End Sub
'------------------------------------------------------------------------
Sub RegistrySchreiben
'Schlsselname = HKEY_CURRENT_USER\Software\Joachim Koopmann Software\FixFoto\Script\ & RegSchluessel

call Werte_Auslesen

'Werte schreiben
FF_WriteProfile RegSchluessel,"Ttext",Ttext
FF_WriteProfile RegSchluessel,"Tface",Tface
FF_WriteProfile RegSchluessel,"Thoehe",Thoehe
FF_WriteProfile RegSchluessel,"Tstaerke",Tstaerke
FF_WriteProfile RegSchluessel,"Bzuschlag",Bzuschlag
FF_WriteProfile RegSchluessel,"Trgb",Trgb
FF_WriteProfile RegSchluessel,"Brgb",Brgb
FF_WriteProfile RegSchluessel,"Tschatten",Tschatten

End Sub
'------------------------------------------------------------------------
'************************************************************************
'Internetverbindung ?
'************************************************************************
'------------------------------------------------------------------------
Function InternetConnection
 
Dim obj
Set obj = GetObject("winmgmts:Win32_PingStatus.address='" & "google.de" & "'")

if IsNull(obj.StatusCode) or obj.StatusCode <> 0 Then
   msgbox "Keine Internetverbindung!",vbInformation,"Hinweis"
   InternetConnection = false
else
   InternetConnection = true
end if
 
End Function
'------------------------------------------------------------------------
'************************************************************************
'Update-Funktion
'************************************************************************
'------------------------------------------------------------------------
Sub Update
Dim Antwort

call Versionsermittlung_url

if not Abbruch then
	SkriptV_Zahl = Replace(SkriptVersion,".","") *1
	
	if UrlV_Zahl = SkriptV_Zahl then
		msgbox "Die Version " & SkriptVersion & " ist aktuell!",vbInformation,"Versionsmeldung"
	elseif SkriptV_Zahl < UrlV_Zahl then
		Antwort = msgbox("Die Skriptversion " & SkriptVersion & " ist nicht mehr aktuell!" & vbNewLine &_
				"Es steht die Version " & UrlVersion & " zum Download bereit." & vbNewLine & vbNewLine & _
				"Soll die Downloadseite aufgerufen werden?",vbQuestion + vbYesNo,"Versionsmeldung")
		if Antwort = vbYes then
			on error resume next
			WshShell.Run SkriptUrl,1,false
			if err <> 0 then
				msgbox "Die Downloadseite wurde nicht gefunden!",vbExclamation,"Hinweis"
			else
				SkriptEnde = true
			end if
			on error goto 0
		end if
	else
		msgbox 	"Es liegt ein Fehler in den Versionsangaben vor." & vbNewLine &_
				"Die Skriptversion " & SkriptVersion & " ist grer als die auf" & vbNewLine &_
				"der Downloadseite angegebene Version " & UrlVersion & ".",vbInformation,"Fehlermeldung"
	end if
end if

End Sub
'------------------------------------------------------------------------
Sub Versionsermittlung_url

Dim Inhalt,Start,Zeit,pos1,pos2,n
Dim xml, Fehler
Fehler = false

on error resume next
Set xml = CreateObject("Microsoft.XMLHTTP")
xml.Open "Get",SkriptUrl,false
xml.Send

Inhalt = xml.responseText

if err > 0 then
	Fehler = true
else
	'Version suchen und anzeigen
	pos1 = instr(Inhalt,"Version:")
	if pos1 > 0 then
	
		pos2 = instr(pos1 ,Inhalt,"<br")
		if pos2 > 0 then
			UrlVersion = trim(mid(Inhalt,pos1,pos2-pos1))
			'Msgbox "Aktuell ist die " & UrlVersion,vbInformation,"Information"
		else
			Fehler = true
		end if
	else
		Fehler = true
	end if
end if

Set xml = nothing

if Fehler then
	msgbox  "Die Versionsangabe wurde nicht gefunden!" & vbNewLine &_
			"Mglicherweise funktioniert der Internetaufruf nicht." & vbNewLine & vbNewLine & _
			"Am besten nochmal probieren!",vbExclamation,"Fehlermeldung"
	Abbruch = true
	exit sub
end if

'Version als Zahl
pos1 = instr(UrlVersion," ")
if pos1 = 0 then pos1 = 7
UrlVersion = trim(mid(UrlVersion,pos1+1))
UrlV_Zahl = Replace(UrlVersion,".","") *1

End Sub
'------------------------------------------------------------------------
'************************************************************************
'Lschroutine
'************************************************************************
'------------------------------------------------------------------------
Sub KillSkript
'Skript mit allen Komponenten entfernen

Dim SPfad

'### FixFotoScript.ini bereinigen
TempFile = FF_GetFFPathEx(1) & "\FixFotoScript.ini"
if objFS.FileExists(TempFile) then
	call IniBereinigung
	if Abbruch then exit sub
else
	msgbox 	"Die Datei FixFotoScript.ini konnte nicht gefunden werden." & vbNewLine & _
			"Der Lschvorgang wird abgebrochen!",vbExclamation,"Hinweis"
	exit sub
end if

'### zip-Archiv auf Wunsch sichern, dann lschen
TempFile = FF_GetScriptPath & "\" & objFS.GetBaseName(Skriptname) & ".zip"
if objFS.FileExists(TempFile) then
	Antwort = msgbox("Soll das Archiv " & objFS.GetBaseName(Skriptname) & ".zip" & _
			 " gesichert werden?",vbYesNo + vbQuestion,"Sicherheitskopie")
	if Antwort = vbYes then
		SPfad = FF_EnterPath(true,"Wo soll die Sicherheitskopie angelegt werden?")
		if SPfad = "" then
			msgbox "Das Lschen des Skripts wird abgebrochen!",vbExclamation,"Hinweis"
			exit sub
		end if
		SPfad = SPfad & "\" & objFS.GetBaseName(Skriptname) & ".zip"
		objFS.CopyFile Tempfile, SPfad, true
	end if
	objFS.DeleteFile TempFile,true
end if

'### Skriptdatei lschen
TempFile = FF_GetScriptPath & "\" & Skriptname
objFS.DeleteFile TempFile,true

'### evtl. beigepackte bzw. erzeugte Ordner lschen
TempFile = FF_GetScriptPath & "\MeckiScript\Bannerschrift"
if objFS.FolderExists(TempFile) then objFS.DeleteFolder TempFile,true

'### ggf. Registry-Daten lschen
TempFile = "HKEY_CURRENT_USER\Software\Joachim Koopmann Software\FixFoto\Script\" & RegSchluessel & "\"
WshShell.RegDelete(TempFile)

'### Fertigmeldung
msgbox "Das Skript" & Skriptname & vbNewLine & "wurde mit allen Komponenten gelscht!" & vbNewLine & _
	   "Es wird empfohlen die 'Automatische Skriptkonfiguration' aufzurufen.",vbExclamation,"Hinweis"

End Sub
'------------------------------------------------------------------------
Sub IniBereinigung
'FixFotoScript.ini - Bereinigung

Dim Zeile, zNr,Anfang, Ende, DateiTmp, ZielZeile, tmpString
DateiTmp =  FF_GetFFPathEx(1) & "\FixFotoScript.tmp"

'### Wo befindet sich der Eintrag zum Skript?
Set Zeile = objFS.OpenTextFile(TempFile, ForReading)

zNr = 0
do Until Zeile.AtEndOfStream
	tmpString = Zeile.ReadLine
	zNr = zNr + 1
	if tmpString = "[Script]" then Anfang = zNr
	if tmpString = "File=.\" & Skriptname then
		Ende = zNr
		exit do	
	end if
loop 
Zeile.Close

if Ende <= Anfang then
	msgbox 	"Die Datei FixFotoScript.ini konnte nicht bereinigt werden." & vbNewLine & _
		"Der Lschvorgang wird abgebrochen!",vbExclamation,"Hinweis"
	Abbruch = true
	exit sub
end if

'### Zeilen ohne skriptbezogene Zeilen in DateiTmp bertragen
Set Zeile = objFS.OpenTextFile(TempFile, ForReading)
Set ZielZeile  = objFS.CreateTextFile(DateiTmp, True)

zNr = 0
do Until Zeile.AtEndOfStream
	tmpString = Zeile.ReadLine
	zNr = zNr + 1
	if zNr < Anfang or zNr > Ende then
		ZielZeile.WriteLine tmpString
	end if
loop 

Zeile.Close
ZielZeile.Close

'### Umkopieren von DateiTmp nach FixFotoScript.ini (TempFile)
objFS.CopyFile DateiTmp, TempFile, True
objFS.DeleteFile (DateiTmp)

End Sub
'------------------------------------------------------------------------
'************************************************************************
'Standard-Funktionen
'************************************************************************
'------------------------------------------------------------------------
Function Version_OK(MinVersion)
dim VersNr

 VersNr=split(MinVersion,".")
 Version_OK=FF_GetMajor * 1000 + FF_GetMinor + FF_GetBuild / 1000 >=_
     		VersNr(0) * 1000 + VersNr(1) + VersNr(2) / 1000

End Function
'------------------------------------------------------------------------
